#ifndef BINDINGINC
#define BINDINGINC

class gs_Binding;
#include "input.h"

#define AXISONLY	1
#define BUTTONONLY	2
#define KEYONLY		BUTTONONLY
#define POVONLY		3

// this class provides a way of connecting device input
// to an application

class gs_Binding
{
public:
	gs_Binding() { Disconnect(); }
	gs_Binding( gs_Binding* other) { Connect(other->Source, other->Index); }
	gs_Binding(  gs_InputData* source, int index) { Connect(source,index);}
	~gs_Binding() { }
	// connects to the first key that recieves input
	// flags allow for selective connecting
	// both return immediately (before actually connected) because they wait for the user to send an event

	int ConnectFirst(gs_InputManager* manager, int flags);
	int ConnectFirst(gs_InputDevice* device, int flags);

	// for checking if it is connecte
	int isConnected() { return ((Source != 0) && (Index != -1)); }

	// 
	void Disconnect()
	{
		Source = 0;
		Index = -1;
	}

	// bind this to a specific input
	void Connect( gs_InputData* source, int index);
	// for retrieving the value
	int Get();

private:
	gs_InputData* Source;
	int Index;
};

#endif